pipeline {
    agent any
    stages {
        stage('compile stage') {
            steps{
                bat 'mvn compile'
            }
            }

        stage('Build image') {
            steps{
      
                bat ' docker build  -t chahineaoun/backend:latest .'}
    }
       stage('Push image') {
            steps{
                bat 'docker login -u chahineaoun -p 6c6d042b-8ade-43c0-ab6d-62252c65e145 '
                bat 'docker push chahineaoun/backend'
                bat 'echo "Trying to Push Docker Build to DockerHub"'
    }}
  }
    post {
        failure {
            script {
                mail (to: 'caoun25@gmail.com',
                        subject: "Job '${env.JOB_NAME}' (${env.BUILD_NUMBER}) failed",
                        body:  "${currentBuild.currentResult}: Job ${env.JOB_NAME} build ${env.BUILD_NUMBER}\n More info at: ${env.BUILD_URL}",
                );
                }
            }
         success {
             script {
                mail (to: 'caoun25@gmail.com',
                        subject: "Job '${env.JOB_NAME}' (${env.BUILD_NUMBER}) success.",
                        body: "${currentBuild.currentResult}: Job ${env.JOB_NAME} build ${env.BUILD_NUMBER}\n More info at: ${env.BUILD_URL}",
                  );
                }
          }      
    }
}

